<!-- Realisatsiooni aluseks on võetud:
PHP Object Oriented CRUD Example with Bootstrap
Kasutatud 6.04.2016
https://www.codeofaninja.com/2014/06/php-object-oriented-crud-example-oop.html
-->

<?php

/*
======================
Lehekülgede nummerdus
Lõppenud oksjonid
======================
*/

// Paginationi kasutus.
$page_dom = "loppenud_oksjonid.php";
 
echo "<ul class=\"pagination\">";
 
// Esimese lk button.
if($page>1){
    echo "<li><a href='{$page_dom}' title='Mine esimesele lehele.'>";
        echo "<<";
    echo "</a></li>";
}
 
// Pärime kirjete arvu, et arvutada lk arvu.
$total_rows = $num;
$total_pages = ceil($total_rows / $records_per_page);
 
// Mitut lk kuvada.
$range = 2;
 
$initial_num = $page - $range;
$condition_limit_num = ($page + $range)  + 1;
 
for ($x=$initial_num; $x<$condition_limit_num; $x++) {
 
    if (($x > 0) && ($x <= $total_pages)) {
 
        // Praegune lk.
        if ($x == $page) {
            echo "<li class='active'><a href=\"#\">$x <span class=\"sr-only\">(current)</span></a></li>";
        } 
 
        // Mitte-praegune lk.
        else {
            echo "<li><a href='{$page_dom}?page=$x'>$x</a></li>";
        }
    }
}
 
// Button viimase lk jaoks.
if($page<$total_pages){
    echo "<li><a href='" .$page_dom . "?page={$total_pages}' title='Viimane leht on {$total_pages}.'>";
        echo ">>";
    echo "</a></li>";
}
 
echo "</ul>";
?>